3
回答
问个关于安装linux版网易云音乐的问题
终于搞明白,存储TCO原来是这样算的>>>   
好久没切换到linux下了,于是换了debian 8.3稳定版,作为不听歌会死星人,决
定装个网易云音乐,从官网下载的1.0版,安装出现问题,

root@debian:/home/hoyho/桌面# dpkg -i
netease-cloud-music_1.0.0-1_amd64_deepin15.deb
(正在读取数据库 ... 系统当前共安装有 151116 个文件和目录。)
正准备解包 netease-cloud-music_1.0.0-1_amd64_deepin15.deb  ...
正在将 netease-cloud-music (1.0.0-1) 解包到 (1.0.0-1) 上 ...
dpkg: 依赖关系问题使得 netease-cloud-music 的配置工作不能继续:
 netease-cloud-music 依赖于 libdbus-1-3 (>= 1.9.14);然而:
系统中 libdbus-1-3:amd64 的版本为 1.8.20-0+deb8u1。
 netease-cloud-music 依赖于 libfreetype6 (>= 2.6);然而:
系统中 libfreetype6:amd64 的版本为 2.5.2-3+deb8u1。
 netease-cloud-music 依赖于 libqt5core5a (>= 5.5.0);然而:
系统中 libqt5core5a:amd64 的版本为 5.3.2+dfsg-4+deb8u1。
 netease-cloud-music 依赖于 libstdc++6 (>= 5.2);然而:
系统中 libstdc++6:amd64 的版本为 4.9.2-10。
 netease-cloud-music 依赖于 libqt5libqgtk2;然而:
  未安装软件包 libqt5libqgtk2。

dpkg: 处理软件包 netease-cloud-music (--install)时出错:
 依赖关系问题 - 仍未被配置
正在处理用于 desktop-file-utils (0.22-1) 的触发器 ...
正在处理用于 gnome-menus (3.13.3-6) 的触发器 ...
正在处理用于 mime-support (3.58) 的触发器 ...
正在处理用于 hicolor-icon-theme (0.13-1) 的触发器 ...
在处理时有错误发生:
 netease-cloud-music


不行,再尝试,

root@debian:/home/hoyho/桌面# dpkg -i
libdbus-1-3_1.10.8-1_amd64.debdpkg: 关于含有 libdbus-1-3:amd64 的
libdbus-1-3_1.10.8-1_amd64.deb:
 libdbus-1-3:amd64 会破坏 dbus (<< 1.9.16-1~)
  dbus (版本为 1.8.20-0+deb8u1)已存在并且 已安装。

dpkg: 处理归档 libdbus-1-3_1.10.8-1_amd64.deb (--install)时出错:
 安装 libdbus-1-3:amd64 将破坏 dbus,并且
不允许反配置(--auto-deconfigure 也许会有帮助)
在处理时有错误发生:
 libdbus-1-3_1.10.8-1_amd64.deb





既然依赖有问题那再执行,

root@debian:/home/hoyho/桌面# apt-get -f install正在读取软件包列表... 完
成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在更正依赖关系... 完成
下列软件包是自动安装的并且现在不需要了:
  libqgsttools-p1 libqt5multimedia5 libqt5multimedia5-plugins
  libqt5multimediawidgets5 libqt5network5 libqt5opengl5 libqt5widgets5
  libqt5x11extras5 libqt5xml5
使用'apt-get autoremove'来卸载它(它们)。
下列软件包将被【卸载】:
  netease-cloud-music
升级了 0 个软件包,新安装了 0 个软件包,要卸载 1 个软件包,有 0 个软件包
未被升级。
有 1 个软件包没有被完全安装或卸载。
解压缩后将会空出 113 MB 的空间。
您希望继续执行吗? [Y/n]

然后没有然后了。。。

有成功装上可以指导下吗,谢谢


附上dpkg的log,并没有看出什么东西

2016-07-01 23:33:30 startup packages configure
2016-07-01 23:33:34 startup archives install
2016-07-01 23:33:34 install netease-cloud-music:amd64 <无> 1.0.0-1
2016-07-01 23:33:34 status half-installed netease-cloud-music:amd64
1.0.0-1
2016-07-01 23:33:37 status triggers-pending desktop-file-utils:amd64
0.22-1
2016-07-01 23:33:37 status half-installed netease-cloud-music:amd64
1.0.0-1
2016-07-01 23:33:37 status triggers-pending gnome-menus:amd64 3.13.3-6
2016-07-01 23:33:37 status triggers-pending mime-support:all 3.58
2016-07-01 23:33:37 status triggers-pending hicolor-icon-theme:all
0.13-1
2016-07-01 23:33:37 status half-installed netease-cloud-music:amd64
1.0.0-1
2016-07-01 23:33:37 status unpacked netease-cloud-music:amd64 1.0.0-1
2016-07-01 23:33:37 status unpacked netease-cloud-music:amd64 1.0.0-1
2016-07-01 23:33:37 trigproc desktop-file-utils:amd64 0.22-1 <无>
2016-07-01 23:33:37 status half-configured desktop-file-utils:amd64
0.22-1
2016-07-01 23:33:37 status installed desktop-file-utils:amd64 0.22-1
2016-07-01 23:33:37 trigproc gnome-menus:amd64 3.13.3-6 <无>
2016-07-01 23:33:37 status half-configured gnome-menus:amd64 3.13.3-6
2016-07-01 23:33:37 status installed gnome-menus:amd64 3.13.3-6
2016-07-01 23:33:37 trigproc mime-support:all 3.58 <无>
2016-07-01 23:33:37 status half-configured mime-support:all 3.58
2016-07-01 23:33:38 status installed mime-support:all 3.58
2016-07-01 23:33:38 trigproc hicolor-icon-theme:all 0.13-1 <无>
2016-07-01 23:33:38 status half-configured hicolor-icon-theme:all 0.13-1
2016-07-01 23:33:38 status installed hicolor-icon-theme:all 0.13-1




举报
Hoyho
发帖于1年前 3回/6K+阅
共有3个答案 最后回答: 1年前

我也遇到这样的问题,14.04用的时候没问题,16.06就不行了, 还是用网页版吧

在装StarUML时也是这样,apt-get -f install 就直接把StarUML卸载了

不懂问题出在哪..........

引用来自“溱”的评论

我也遇到这样的问题,14.04用的时候没问题,16.06就不行了, 还是用网页版吧

在装StarUML时也是这样,apt-get -f install 就直接把StarUML卸载了

不懂问题出在哪..........

在虚拟机重新试过,似乎找到原因了,只用163的源,所以没办法解决依赖关系,因为也不知道哪个源有相关的包,一怒之下添加了几个us的源,虽然很慢,但还是装上了
--- 共有 1 条评论 ---
我只用了内置默认的源,回头我试试us的 1年前 回复
顶部